export default interface User {
    id: number;
    name: string;
    email: string;
    age: number;
    gender: string;
}
export declare const useUsersStore: import("pinia").StoreDefinition<"users", import("pinia")._UnwrapAll<Pick<{
    addUser: (user: User) => number;
    getUsers: () => import("vue").ComputedRef<{
        id: number;
        name: string;
        email: string;
        age: number;
        gender: string;
    }[]>;
    getUsersCount: import("vue").ComputedRef<number>;
}, never>>, Pick<{
    addUser: (user: User) => number;
    getUsers: () => import("vue").ComputedRef<{
        id: number;
        name: string;
        email: string;
        age: number;
        gender: string;
    }[]>;
    getUsersCount: import("vue").ComputedRef<number>;
}, "getUsersCount">, Pick<{
    addUser: (user: User) => number;
    getUsers: () => import("vue").ComputedRef<{
        id: number;
        name: string;
        email: string;
        age: number;
        gender: string;
    }[]>;
    getUsersCount: import("vue").ComputedRef<number>;
}, "addUser" | "getUsers">>;
